Bug 1150445 - Review Request: Random123 - Library of random number generators
Summary: Review Request: Random123 - Library of random number generators
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1249097 (view as bug list)
Depends On:
Blocks: 1249094
TreeView+ depends on / blocked
 
Reported: 2014-10-08 10:34 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-09-15 19:51 UTC (History)
3 users (show)

Fixed In Version: 1.08-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 02:07:21 UTC
jamatos: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-10-08 10:34:46 UTC
Spec URL: https://ankursinha.fedorapeople.org/Random123/Random123.spec
SRPM URL: https://ankursinha.fedorapeople.org/Random123/Random123-1.08-1.fc21.src.rpm

Description:
Random123 is a library of "counter-based" random number generators (CBRNGs), in
which the Nth random number can be obtained by applying a stateless mixing
function to N instead of the conventional approach of using N iterations of a
stateful transformation. CBRNGs were originally developed for use in MD
applications on Anton, but they are ideal for a wide range of applications on
modern multi-core CPUs, GPUs, clusters, and special-purpose hardware. Three
families of non-cryptographic CBRNGs are described in a paper presented at the
SC11 conference: ARS (based on the Advanced Encryption System (AES)), Threefry
(based on the Threefish encryption function), and Philox (based on integer
multiplication). They all satisfy rigorous statistical testing (passing
BigCrush in TestU01), vectorize and parallelize well (each generator can
produce at least 264 independent streams), have long periods (the period of
each stream is at least 2128), require little or no memory or state, and have
excellent performance (a few clock cycles per byte of random output). The
Random123 library can be used with CPU (C and C++) and GPU (CUDA and OpenCL)
applications.


Fedora Account System Username: ankursinha

Comment 1 José Matos 2015-07-31 12:46:28 UTC
I am willing to review this package.

Presently it fails in at least two instances:
1) on doxygen:

+ cd Random123-1.08
+ pushd docs
+ doxygen .
Error: file `.' not found

2) on latex:
! LaTeX Error: File `adjustbox.sty' not found.

There are two options, either you add BR tex(adjustbox.sty) or BR texlive-collection-latexextra that provides this and other latex packages.

Please fix this problems before proceeding with the review. :-)

Comment 2 Ankur Sinha (FranciscoD) 2015-07-31 15:30:51 UTC
Hi Jose,

Thank you for reviewing this package. I've fixed the errors. Updated spec/srpm:

https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123.spec
https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123-1.08-2.fc22.src.rpm

I'm using a copr repo to test the builds now:
https://copr.fedoraproject.org/coprs/ankursinha/neuroscience-research/builds/

Cheers,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2015-08-02 10:58:32 UTC
*** Bug 1249097 has been marked as a duplicate of this bug. ***

Comment 4 José Matos 2015-08-03 12:07:46 UTC
Hi Ankur,
  fedora-review raises two problems, that seem legitimate in my view. :-)

 - If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

The license file is marked as %doc and not as license. If you intend to support EL6 or older, it is enough to add

%{!?_licensedir:%global license %doc}


- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1454080 bytes in 68 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

This seems to me as a reasonable suggestion, what do you think?

Comment 5 Ankur Sinha (FranciscoD) 2015-08-04 17:30:42 UTC
Hi Jose,

Makes sense.

Updated spec/srpm:
https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123.spec
https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123-1.08-3.fc22.src.rpm

Could you please set the review flag to the bug so that this doesn't show up on the "unaccepted review list"? :)

Thanks,
Ankur

Comment 6 José Matos 2015-08-05 10:08:29 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Hi Jose,
> 
> Makes sense.
> 
> Updated spec/srpm:
> https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123.spec
> https://ankursinha.fedorapeople.org/neuroscience-research-copr/Random123-1.
> 08-3.fc22.src.rpm

OK.
 
> Could you please set the review flag to the bug so that this doesn't show up
> on the "unaccepted review list"? :)

:-)

Thanks for the remainder. :-)

In any case I set it to +. :-)
 
> Thanks,
> Ankur

The package is easy, most of it is documentation. The license is acceptable and the spec well written following the fedora guidelines.

The package is approved.

Comment 7 Ankur Sinha (FranciscoD) 2015-08-05 10:17:40 UTC
Thanks for the quick review Jose!

New Package SCM Request
=======================
Package Name: Random123
Short Description: Library of random number generators
Upstream URL: http://www.deshawresearch.com/resources_random123.html
Owners: ankursinha
Branches: f22 f23
InitialCC:

Comment 8 Gwyn Ciesla 2015-08-05 11:40:23 UTC
Git done (by process-git-requests).

Comment 9 Ankur Sinha (FranciscoD) 2015-08-05 12:49:36 UTC
The scm request doesn't seem to have worked. Was advised to reset the flag.

New Package SCM Request
=======================
Package Name: Random123
Short Description: Library of random number generators
Upstream URL: http://www.deshawresearch.com/resources_random123.html
Owners: ankursinha
Branches: f22 f23
InitialCC:

Comment 10 Gwyn Ciesla 2015-08-05 13:26:12 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-08-05 15:14:54 UTC
Random123-1.08-3.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/Random123-1.08-3.fc23

Comment 12 Fedora Update System 2015-08-05 15:15:00 UTC
Random123-1.08-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/Random123-1.08-3.fc22

Comment 13 Fedora Update System 2015-08-06 15:59:57 UTC
Random123-1.08-3.fc23 has been pushed to the Fedora 23 testing repository.

Comment 14 Fedora Update System 2015-08-15 02:07:21 UTC
Random123-1.08-3.fc23 has been pushed to the Fedora 23 stable repository.

Comment 15 Fedora Update System 2015-09-15 19:51:18 UTC
Random123-1.08-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.